#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2022-09-26
#
# Cisco Cellular Lte metrics plugin
#
#
from cmk.gui.i18n import _

from cmk.gui.plugins.metrics import (
    metric_info,
    graph_info,
    perfometer_info
)


metric_info['cisco_cellular_rsrp'] = {
    'title': _('RSRP'),
    'unit': 'dbm',
    'color': '22/a',
}
metric_info['cisco_cellular_rsrq'] = {
    'title': _('RSRQ'),
    'unit': 'db',
    'color': '32/a',
}
metric_info['cisco_cellular_rssi'] = {
    'title': _('RSSI'),
    'unit': 'dbm',
    'color': '42/a',
}

######################################################################################################################
#
# how to graph perdata for bgp peer
#
######################################################################################################################

graph_info['cisco_cellular.rsrp'] = {
    'title': _('Reference Signal Received Power'),
    'metrics': [
        ('cisco_cellular_rsrp', 'area'),
    ],
    'range': (0, 'cisco_cellular_rsrp:max'),
}

graph_info['cisco_cellular.rsrq'] = {
    'title': _('Reference Signal Received Quality'),
    'metrics': [
        ('cisco_cellular_rsrq', 'area'),
    ],
    'scalars': [
        ('cisco_cellular_rsrq:crit', _('crit')),
        ('cisco_cellular_rsrq:warn', _('warn')),
    ],
    'range': (0, 'cisco_cellular_rsrq:max'),
}

graph_info['cisco_cellular.rssi'] = {
    'title': _('Received Signal Strength Indicator'),
    'metrics': [
        ('cisco_cellular_rssi', 'area'),
    ],
}


# perfometer_info.append(('stacked', [
#     {
#         'type': 'logarithmic',
#         'metric': 'bgp_peer_fsmestablishedtime',
#         'half_value': 2592000.0,  # ome month
#         'exponent': 2,
#     },
#     {
#         'type': 'logarithmic',
#         'metric': 'bgp_peer_acceptedprefixes',
#         'half_value': 500000.0,
#         'exponent': 2,
#     }
# ]))
#
# perfometer_info.append({
#     'type': 'logarithmic',
#     'metric': 'bgp_peer_fsmestablishedtime',
#     'half_value': 2592000.0,  # ome month
#     'exponent': 2,
# })